#!/usr/local/bin/perl -w

# The "Best Desktop Contest" program
#
# Michael Holve, March 2000
#
# Uses mod_perl, DBI, DBD::MySQL

use strict;
use DBI;

# Open up the database connection (use user nobody later!)
#
my $dbh = DBI->connect( "DBI:mysql:ivote", "root", "" )  ||
  die "Can't connect to database:  $DBI::errstr\n";

# DumpEntries - dumps the contents of the desktop.entries table
#
sub DumpEntries  {

  my $voters = 0;
  my $total  = 0;
  
  my $sth = $dbh->prepare( "SELECT id, name, email, score, entry, blurb FROM entries WHERE id > 0 ORDER BY id" ) ||
    die "Can't execute SQL statement:  $DBI::errstr\n";

  my $rv = $sth->execute() ||
    die "Can't execute SQL statement:  $DBI::errstr\n";

  # Non-portable clear-screen function!
  #
  system("clear");

  print "                          Current Entries Report\n\n";
  print "ID	Name		Email Address			Score	Entered\n";
  print "--------------------------------------------------------------------------\n";

  while( my $array_ref = $sth->fetchrow_arrayref )  {
    printf "% 7d %-15s %-32s % 6d %-11s\n",$array_ref->[0],$array_ref->[1],$array_ref->[2],$array_ref->[3],$array_ref->[4],
    my $voters = $voters + $array_ref->[3];
    my $total = $total + 1;
  }  
  die "Fetch failed due to $DBI::errstr" if $DBI::err;

  print "--------------------------------------------------------------------------\n";
  print "Total of $voters voters, judging $total entry(s).\n\n";
}

&DumpEntries;

# Close down the database connection
#
$dbh->disconnect ||
  warn "Disconnection failed:  $DBI::errstr\n";

1;
